## CORBA Interface IProcessJobNodeMapping

### Definition

CORBA Module DFProcessFlow

### IProcessJobNodeMapping Description

CORBA Definitions
attribute ColumnMappingCount |
attribute Source |
attribute Target |
attribute Type |
method AddColumnMapping |
method Clear |
method Close |
method DeleteColumnMapping |
method GetColumnMapping |

Java Classes
IProcessJobNodeMappingHelper | Used to manipulate the IProcessJobNodeMapping type
IProcessJobNodeMappingHolder | Used to process the IProcessJobNodeMapping type as an out parameter

Java Interfaces
IProcessJobNodeMapping |

Java Interface IProcessJobNodeMapping

Package com.sas.iom.DFProcessFlow

IProcessJobNodeMapping Description

`public interface IProcessJobNodeMapping
extends org.omg.CORBA.Object`

Method Summary

void | AddColumnMapping ( java.lang.String src , java.lang.String target ) throws ( GenericError );
void | Clear ()
void | Close ()
void | DeleteColumnMapping ( int index ) throws ( GenericError );
void | GetColumnMapping ( int index , org.omg.CORBA.StringHolder source , org.omg.CORBA.StringHolder target ) throws ( GenericError );

Java Class IProcessJobNodeMappingHelper

public class IProcessJobNodeMappingHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJobNodeMapping type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeMappingHelper

Java Class IProcessJobNodeMappingHolder

public class IProcessJobNodeMappingHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJobNodeMapping type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeMappingHolder

CORBA Attribute ColumnMappingCount (readonly)

Description

Usage

Java Method ColumnMappingCount

    public int ColumnMappingCount ();

CORBA Attribute Source

Description

Usage

Java Method Source

    public java.lang.String Source ();
    public void Source ( java.lang.String Source );

CORBA Attribute Target (readonly)

Description

Usage

Java Method Target

    public java.lang.String Target ();

CORBA Attribute Type

Description

Usage

Java Method Type

    public VariableType Type ();
    public void Type ( VariableType Type );

CORBA Method AddColumnMapping

Description

Usage

Java Method AddColumnMapping

`void` AddColumnMapping (

        java.lang.String src ,
        java.lang.String target
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
src | in | java.lang.String |
target | in | java.lang.String |

Example

CORBA Method Clear

Description

Usage

Java Method Clear

`void` Clear ( )

Example

CORBA Method Close

Description

Usage

Java Method Close

`void` Close ( )

Example

CORBA Method DeleteColumnMapping

Description

Usage

Java Method DeleteColumnMapping

`void` DeleteColumnMapping (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetColumnMapping

Description

Usage

Java Method GetColumnMapping

`void` GetColumnMapping (

        int index ,
        org.omg.CORBA.StringHolder source ,
        org.omg.CORBA.StringHolder target
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |
source | out | org.omg.CORBA.StringHolder |
target | out | org.omg.CORBA.StringHolder |

Example